CVE-2014-3465

NameCVE-2014-3465
DescriptionThe gnutls_x509_dn_oid_name function in lib/x509/common.c in GnuTLS 3.0 before 3.1.20 and 3.2.x before 3.2.10 allows remote attackers to cause a denial of service (NULL pointer dereference) via a crafted X.509 certificate, related to a missing LDAP description for an OID when printing the DN.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
gnutls28 (PTS)jessie3.3.8-6+deb8u7fixed
jessie (security)3.3.30-0+deb8u1fixed
stretch3.5.8-5+deb9u4fixed
stretch (security)3.5.8-5+deb9u1fixed
buster, sid3.5.19-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
gnutls26source(unstable)(not affected)
gnutls28source(unstable)3.2.10-1medium

Notes

- gnutls26 <not-affected> (Affected code was introduced in 3.0)

Search for package or bug name: Reporting problems